Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface RDFWriterF

All Known Subinterfaces:
  InfModel, Model, OntModel

All Known Implementing Classes:
  com.hp.hpl.jena.rdf.model.impl.ModelCom, ModelRDB, MonitorModel

    public interface RDFWriterF

An RDFReader factory inferface.

The factory will create an appropriate writer for the particular serialization language being read. Predefined languages include:

- RDF/XML - default
- RDF/XML-ABBREV
- N-TRIPLE
- N3

System wide defaults for classes to use as readers for these languages are defined. These defaults may be overwridden by setting a system property with a name of the form com.hp.hpl.jena.readers. to the class name.

Version:
  $Version$ $Date: 2008/01/02 12:05:46 $
Author:
  bwm

Method Summary
`RDFWriter` | `getWriter()` return an RDFWriter instance for the default serialization language.
`RDFWriter` | `getWriter(java.lang.String lang)` an RDFWriter instance for the specified serialization language.
`java.lang.String` | `setWriterClassName(java.lang.String lang, java.lang.String className)` set the class name for the RDFWriter for a langauge

Method Detail

### getWriter

    RDFWriter getWriter()

  return an RDFWriter instance for the default serialization language.

  Returns:
    an RDFWriter instance for the default serialization language.

### getWriter

    RDFWriter getWriter(java.lang.String lang)

  an RDFWriter instance for the specified serialization language.

  Parameters:
    `lang` - the serialization langauge - `null` selects the default
  Returns:
    the RDFWriter instance

### setWriterClassName

    java.lang.String setWriterClassName(java.lang.String lang,
                                        java.lang.String className)

  set the class name for the RDFWriter for a langauge

  Parameters:
    `lang` - the language for which this class should be used
    `className` - the class name for writers for this language
  Returns:
    the old class name for this language

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP